#include "clock.hpp"

using namespace pe;

Timer::Timer() :
  clock_start(0), clock_finish(0)
{
}

Timer::~Timer()
{
}


void Timer::start() {
  clock_start = clock();
}


void Timer::finish() {
  clock_finish = clock();
}

std::string Timer::renderToSecond() {
  std::ostringstream buffer;
  double time = (double(clock_finish)-double(clock_start))/CLOCKS_PER_SEC;
  buffer << std::fixed << std::setprecision(3) << std::setprecision(8) << time;
  return buffer.str();
}
