#ifndef CLOCK_HPP
#define CLOCK_HPP

#include <iostream>
#include <sstream>
#include <iomanip>
#include <ctime>

namespace pe {
  class Timer {
	public:
	  Timer();
	  virtual ~Timer();
	  void start();
	  void finish();
	  std::string renderToSecond();
	private:
	  clock_t clock_start,clock_finish;
  };
}

#endif
